Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Table_Adapter Class Reference

`#include <Table_Adapter.h>`

Inheritance diagram for TAO_Table_Adapter

[legend]
Collaboration diagram for TAO_Table_Adapter:

[legend]
List of all members.

## Public Methods
| TAO_Table_Adapter (TAO_ORB_Core *orb_core)
| Constructor.
virtual | ~TAO_Table_Adapter (void)
| Destructor.
virtual void | open (CORBA::Environment &ACE_TRY_ENV)
virtual void | close (int wait_for_completion, CORBA::Environment &ACE_TRY_ENV)
virtual void | check_close (int wait_for_completion, CORBA::Environment &ACE_TRY_ENV)
virtual int | priority (void) const
virtual int | dispatch (TAO_ObjectKey &key, TAO_ServerRequest &request, CORBA::Object_out foward_to, CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException)
virtual const char* | name (void) const
virtual CORBA::Object_ptr | root (void)
virtual CORBA::Object_ptr | create_collocated_object (TAO_Stub *, const TAO_MProfile &)
## Private Attributes
TAO_ORB_Core* | orb_core_
| The ORB Core we belong to.
TAO_IOR_Table_Impl* | root_
| The table implementation.

## Constructor & Destructor Documentation

TAO_Table_Adapter::TAO_Table_Adapter ( | TAO_ORB_Core * orb_core )`[inline]`

| Constructor.

TAO_Table_Adapter::~TAO_Table_Adapter ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Table_Adapter::check_close ( | int wait_for_completion,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Adapter.

void TAO_Table_Adapter::close ( | int wait_for_completion,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Adapter.

CORBA::Object_ptr TAO_Table_Adapter::create_collocated_object ( | TAO_Stub * stub,
| const TAO_MProfile & )`[virtual]`

| Reimplemented from TAO_Adapter.

int TAO_Table_Adapter::dispatch ( | TAO_ObjectKey & key,
| TAO_ServerRequest & request,
| CORBA::Object_out forward_to,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Adapter.

const char * TAO_Table_Adapter::name ( | void ) const`[virtual]`

| Reimplemented from TAO_Adapter.

void TAO_Table_Adapter::open ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Adapter.

int TAO_Table_Adapter::priority ( | void ) const`[virtual]`

| Reimplemented from TAO_Adapter.

CORBA::Object_ptr TAO_Table_Adapter::root ( | void )`[virtual]`

| Reimplemented from TAO_Adapter.

## Member Data Documentation

TAO_ORB_Core * TAO_Table_Adapter::orb_core_`[private]`

| The ORB Core we belong to.

TAO_IOR_Table_Impl * TAO_Table_Adapter::root_`[private]`

| The table implementation.

The documentation for this class was generated from the following files:

- Table_Adapter.h
- Table_Adapter.cpp